<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE suite SYSTEM "http://testng.org/testng-1.0.dtd">

<suite name="styling-tests">
  
  <test name="text-made-bold">
    <parameter name="name" value="text-made-bold"/>
    <parameter name="dir" value="test/styling/text-made-bold"/>
    <parameter name="trackedFile" value="text-made-bold-tracked.odt"/>
    <parameter name="versions" value="text-made-bold-v1.odt,text-made-bold-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="bold-text-unstyled">
    <parameter name="name" value="bold-text-unstyled"/>
    <parameter name="dir" value="test/styling/bold-text-unstyled"/>
    <parameter name="trackedFile" value="bold-text-unstyled-tracked.odt"/>
    <parameter name="versions" value="bold-text-unstyled-v1.odt,bold-text-unstyled-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="bold-span-change">
    <parameter name="name" value="bold-span-change"/>
    <parameter name="dir" value="test/styling/change-to-bolded-text"/>
    <parameter name="trackedFile" value="bold-span-change-tracked.odt"/>
    <parameter name="versions" value="bold-span-change-v1.odt,bold-span-change-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="removed-nested-styling">
    <parameter name="name" value="removed-nested-styling"/>
    <parameter name="dir" value="test/styling/removed-nested-styling"/>
    <parameter name="trackedFile" value="removed-nested-styling-tracked.odt"/>
    <parameter name="versions" value="removed-nested-styling-v1.odt,removed-nested-styling-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  <test name="new-style-for-para">
    <parameter name="name" value="new-style-for-para"/>
    <parameter name="dir" value="test/styling/create-new-style-for-para"/>
    <parameter name="trackedFile" value="new-style-for-para-tracked.odt"/>
    <parameter name="versions" value="new-style-for-para-v1.odt,new-style-for-para-v2.odt"/>
    <classes>
      <class name="com.deltaxml.odf.ct.ChangeTrackingVerifier">
        <methods>
          <include name="testRunner"></include>
        </methods>
      </class>
    </classes>
  </test>
  
  
</suite>